Gen 3

Тук е мястото където могат да се споделят/обсъдят някои нови функции плъгини, скриптове, програми или неофициани build-ве на Blender3D.

Модератори: ileto, kmn

Gen 3

Мнениеот терпентина » Пет Фев 02, 2007 9:22 pm

Здравейте хора, някой пробвал ли е скрипта Gen 3, за генериране на дървета?
И как да го инсталирам на Мас ?Защото скрипт фолдера на Блендер е скрит, и не знам къде да го намеря!
Говоря за 2.42
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот 3dom » Пет Фев 02, 2007 10:13 pm

Аз го бях пробвал преди време, но arbaro според мен е много по-добър, може да експортваш в .obj формат и се импортват безпроблемно.
Аватар
3dom
 
Мнения: 514
Регистриран на: Сря Юли 05, 2006 1:03 pm

Мнениеот терпентина » Пет Фев 02, 2007 10:26 pm

арбаро го теглих , но така и не успях да го закача за блендер, октомври или ноември и се отказах.
Много ми харесаха дърветата на Gen 3, но четох че е ужасно бавно генерирането.

ще чакам 2.43 и ще пробвам"на чисто"
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот ileto » Пет Фев 02, 2007 10:34 pm

В настройките на Blender (прозореца User Preferences -> File Paths) в полето Python може да се настрои в коя друга папка освен в default-ската да се търсят скриптове. Така не е нужно да слагаш плъгините в папката на инсталацията на Blender - може да си имаш своя папка някъде по диска.
Аватар
ileto
 
Мнения: 845
Регистриран на: Пет Юли 07, 2006 1:27 pm

Мнениеот терпентина » Пет Фев 02, 2007 10:44 pm

Четох във някакви форуми за тоя начин , ама не съм го пробвал
ще пробвам , пък да видим
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот терпентина » Съб Фев 03, 2007 8:10 pm

Illeto,по твоя начин се показа Gen3 pod Misc, но като чукна , ми дава Pythot script error:check console,
и направо съм бесен .
Незнам какво да направя нататък?
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот ileto » Съб Фев 03, 2007 10:54 pm

По принцип би трябвало да можеш да промениш мястото, от където се стартира скрипта. Ако отвориш файла с текстов редактор, там отгоре трябва да има някакви такивa редoве:

#!BPY
# """
# Name: 'Gen3'
# Blender: 237
# Group: 'Misc'
# Tooltip: 'Generate tree models'
# """

Мисля, че ако промениш там 'Misc' с името на друго меню може там да се показва. Иначе за грешката - може да постнеш какво ти пише на конзолата след грешката, за да може някой, който разбира от Python да се изкаже :wink:. Единственото за което се сещам е, че може да нямаш инсталиран Python или да не е коректна версията му.
Аватар
ileto
 
Мнения: 845
Регистриран на: Пет Юли 07, 2006 1:27 pm

Мнениеот терпентина » Съб Фев 03, 2007 11:40 pm

Е сега тегля 2.5 Питон, и утре ще пробвам пак.
ще пробвам и варианта да сложа вместо Misc нещо друго, мисля че така ще стане.
Благодаря за помоща!
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот терпентина » Вто Фев 06, 2007 9:52 pm

Не става и това си е!
Изтеглих последният Питон, излиза под Миск Ген 3, ама пак ми дава скрипт еррор.

Някой въобще пускал ли го е?
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот 3dom » Вто Фев 06, 2007 10:39 pm

Току що го изтеглих и работи!


Да не би да не си прекопирал директорията gt в папката scripts?

И я виж в конзолата каква точно грешка ти дава?
Аватар
3dom
 
Мнения: 514
Регистриран на: Сря Юли 05, 2006 1:03 pm

Мнениеот терпентина » Сря Фев 07, 2007 1:43 am

Слагам gen3.py и gt директорията във Бленд папката.
От file paths(Най горе вляво на Блендер) В Python избирам Gen3.py,и ми излиза на Scripts winow под Misc.

И дотук...

Ето скрииншот на конзолката
Изображение

Изображение
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm

Мнениеот 3dom » Сря Фев 07, 2007 10:10 am

Ама ти трябва да ги сложиш в папката scripts, тя е в Blender Foundation\Blender\.blender\scripts

Като сложиш там и отидеш в скриптс менюто му дай Update и пак ще го има в Misc > Gen3

На мен ми даде същата грешка като твойта като се опитах да стартирам скрипта от някаква друга директория...

Сложи го там, тествай и кажи
Аватар
3dom
 
Мнения: 514
Регистриран на: Сря Юли 05, 2006 1:03 pm

Мнениеот ileto » Сря Фев 07, 2007 3:03 pm

Ами аз пробвах скрипта на състема, която няма инсталиран Python - и работи. На мен такава грешка ми дава само, когато папката qt не е в папка, в която Blender търси скриптове. Т.е. ти си задал папка в User Preferencies - ако там я няма или пък, както каза 3dom, в "инсталационна папка"\.blender\scripts при мен ми дава почти същата грешка, както при теб.
Аватар
ileto
 
Мнения: 845
Регистриран на: Пет Юли 07, 2006 1:27 pm

Мнениеот kmn » Сря Фев 07, 2007 3:32 pm

Иле, ти виндоус ли ползваш? win32 дистрибуцията на блендер идва с интерпретатор на питон като .dll библиотека. за другите платформи се разчита че те си имат инсталиран питон. това важи за всички *NIX подобни ОС - Linux, MacOS X, BSD, Solaris и т.н.
терпентина, отбележи че дистрото на блендер за MacOS X e компилирано спрямо питон 2.3, тъй че ъпдейтването му до 2.5 може да доведе до по-голяма несъвместимост.
АНИМАЦИЯ ЗАЛИВА ЦЯЛАТА ЗЕМЯ!
Аватар
kmn
 
Мнения: 228
Регистриран на: Съб Юли 08, 2006 10:55 am
Местоположение: Sofia

Мнениеот терпентина » Сря Фев 07, 2007 11:45 pm

3dom,нямам папкаBlender foundation, имам една папка blender 2.42a в която има много папки като release,data, bin,sourse, и в една от тях имаше scripts и там ги сложих. Gen 3 , което имам е 2 файла-gen3.py и директория gt.
В блендер форумите 4етох някъде, 4е трябва да сложиш gen3.py във папката gt, и всичко заедно да копираш в скрипт фолдера.

Ама всякак пробвах.


kmn, сега съм със 2.5 Питон, ама и преди даваше същото(даже нямах инсталиран).
Самата конзола казва ,че грешката е че няма модул gt.gtmath

В субдиректорията gt има файл gtmath.py

Ще изтрия Питон-а(2.5) и пак ще пробвам.
Хайде да не ви губя времето с моите проблеми.10х
Аватар
терпентина
 
Мнения: 230
Регистриран на: Пет Фев 02, 2007 7:44 pm


Назад към Тестове / Tests

Кой е на линия

Потребители разглеждащи този форум: 0 регистрирани и 1 госта

cron